[**@rxap/ngx-bootstrap**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / ApplicationBeforeFunction

# Type Alias: ApplicationBeforeFunction()\<Config\>

> **ApplicationBeforeFunction**\<`Config`\>: (`config`, `options`) => `any` \| `Promise`\<`any`\>

Defined in: [application.ts:15](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L15)

## Type Parameters

• **Config** *extends* `object`

## Parameters

### config

`ConfigService`

### options

`Config`

## Returns

`any` \| `Promise`\<`any`\>
